# -*- encoding: utf-8 -*-
# stub: sensu-plugins-filesystem-checks 2.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-filesystem-checks".freeze
  s.version = "2.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2020-07-28"
  s.description = "This plugin provides native instrumentation for monitoring and metrics\n                              collection, including:health, usage, and various metrics of filesystem\n                              attributes.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-dir-size.rb".freeze, "check-ctime.rb".freeze, "check-file-exists.rb".freeze, "check-dir-count.rb".freeze, "check-fs-writable.rb".freeze, "check-checksums.rb".freeze, "metrics-dirsize.rb".freeze, "metrics-filesize.rb".freeze, "check-mtime.rb".freeze, "check-tail.rb".freeze, "check-file-size.rb".freeze, "metrics-nfsstat.rb".freeze]
  s.files = ["bin/check-checksums.rb".freeze, "bin/check-ctime.rb".freeze, "bin/check-dir-count.rb".freeze, "bin/check-dir-size.rb".freeze, "bin/check-file-exists.rb".freeze, "bin/check-file-size.rb".freeze, "bin/check-fs-writable.rb".freeze, "bin/check-mtime.rb".freeze, "bin/check-tail.rb".freeze, "bin/metrics-dirsize.rb".freeze, "bin/metrics-filesize.rb".freeze, "bin/metrics-nfsstat.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-filesystem-checks".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for filesystems".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.40.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
  end
end
